Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.util
Class Pack

    java.lang.Object
      org.bouncycastle.crypto.util.Pack

Deprecated. use org.bouncycastle.util.pack

public abstract class Pack
extends java.lang.Object

Constructor Summary
`Pack()` Deprecated.

Method Summary
`static int` | `bigEndianToInt(byte[] bs, int off)` Deprecated.
`static void` | `bigEndianToInt(byte[] bs, int off, int[] ns)` Deprecated.
`static long` | `bigEndianToLong(byte[] bs, int off)` Deprecated.
`static void` | `bigEndianToLong(byte[] bs, int off, long[] ns)` Deprecated.
`static byte[]` | `intToBigEndian(int n)` Deprecated.
`static byte[]` | `intToBigEndian(int[] ns)` Deprecated.
`static void` | `intToBigEndian(int[] ns, byte[] bs, int off)` Deprecated.
`static void` | `intToBigEndian(int n, byte[] bs, int off)` Deprecated.
`static byte[]` | `intToLittleEndian(int n)` Deprecated.
`static byte[]` | `intToLittleEndian(int[] ns)` Deprecated.
`static void` | `intToLittleEndian(int[] ns, byte[] bs, int off)` Deprecated.
`static void` | `intToLittleEndian(int n, byte[] bs, int off)` Deprecated.
`static int` | `littleEndianToInt(byte[] bs, int off)` Deprecated.
`static void` | `littleEndianToInt(byte[] bs, int off, int[] ns)` Deprecated.
`static void` | `littleEndianToInt(byte[] bs, int bOff, int[] ns, int nOff, int count)` Deprecated.
`static long` | `littleEndianToLong(byte[] bs, int off)` Deprecated.
`static void` | `littleEndianToLong(byte[] bs, int off, long[] ns)` Deprecated.
`static byte[]` | `longToBigEndian(long n)` Deprecated.
`static byte[]` | `longToBigEndian(long[] ns)` Deprecated.
`static void` | `longToBigEndian(long[] ns, byte[] bs, int off)` Deprecated.
`static void` | `longToBigEndian(long n, byte[] bs, int off)` Deprecated.
`static byte[]` | `longToLittleEndian(long n)` Deprecated.
`static byte[]` | `longToLittleEndian(long[] ns)` Deprecated.
`static void` | `longToLittleEndian(long[] ns, byte[] bs, int off)` Deprecated.
`static void` | `longToLittleEndian(long n, byte[] bs, int off)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pack

    public Pack()

  Deprecated.

Method Detail

### bigEndianToInt

    public static int bigEndianToInt(byte[] bs,
                                     int off)

  Deprecated.

### bigEndianToInt

    public static void bigEndianToInt(byte[] bs,
                                      int off,
                                      int[] ns)

  Deprecated.

### intToBigEndian

    public static byte[] intToBigEndian(int n)

  Deprecated.

### intToBigEndian

    public static void intToBigEndian(int n,
                                      byte[] bs,
                                      int off)

  Deprecated.

### intToBigEndian

    public static byte[] intToBigEndian(int[] ns)

  Deprecated.

### intToBigEndian

    public static void intToBigEndian(int[] ns,
                                      byte[] bs,
                                      int off)

  Deprecated.

### bigEndianToLong

    public static long bigEndianToLong(byte[] bs,
                                       int off)

  Deprecated.

### bigEndianToLong

    public static void bigEndianToLong(byte[] bs,
                                       int off,
                                       long[] ns)

  Deprecated.

### longToBigEndian

    public static byte[] longToBigEndian(long n)

  Deprecated.

### longToBigEndian

    public static void longToBigEndian(long n,
                                       byte[] bs,
                                       int off)

  Deprecated.

### longToBigEndian

    public static byte[] longToBigEndian(long[] ns)

  Deprecated.

### longToBigEndian

    public static void longToBigEndian(long[] ns,
                                       byte[] bs,
                                       int off)

  Deprecated.

### littleEndianToInt

    public static int littleEndianToInt(byte[] bs,
                                        int off)

  Deprecated.

### littleEndianToInt

    public static void littleEndianToInt(byte[] bs,
                                         int off,
                                         int[] ns)

  Deprecated.

### littleEndianToInt

    public static void littleEndianToInt(byte[] bs,
                                         int bOff,
                                         int[] ns,
                                         int nOff,
                                         int count)

  Deprecated.

### intToLittleEndian

    public static byte[] intToLittleEndian(int n)

  Deprecated.

### intToLittleEndian

    public static void intToLittleEndian(int n,
                                         byte[] bs,
                                         int off)

  Deprecated.

### intToLittleEndian

    public static byte[] intToLittleEndian(int[] ns)

  Deprecated.

### intToLittleEndian

    public static void intToLittleEndian(int[] ns,
                                         byte[] bs,
                                         int off)

  Deprecated.

### littleEndianToLong

    public static long littleEndianToLong(byte[] bs,
                                          int off)

  Deprecated.

### littleEndianToLong

    public static void littleEndianToLong(byte[] bs,
                                          int off,
                                          long[] ns)

  Deprecated.

### longToLittleEndian

    public static byte[] longToLittleEndian(long n)

  Deprecated.

### longToLittleEndian

    public static void longToLittleEndian(long n,
                                          byte[] bs,
                                          int off)

  Deprecated.

### longToLittleEndian

    public static byte[] longToLittleEndian(long[] ns)

  Deprecated.

### longToLittleEndian

    public static void longToLittleEndian(long[] ns,
                                          byte[] bs,
                                          int off)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD